import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util';
import { MonitorRuleSetting } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
interface MonitorRuleSettingCU extends ConditionUtil<MonitorRuleSettingCU> {
    ID: FieldUtil<MonitorRuleSettingCU>;
    TEMPLATE_ID: FieldUtil<MonitorRuleSettingCU>;
    ALARM_LEVEL: FieldUtil<MonitorRuleSettingCU>;
    ENABLE: FieldUtil<MonitorRuleSettingCU>;
    DELETED: FieldUtil<MonitorRuleSettingCU>;
    CHANGED: FieldUtil<MonitorRuleSettingCU>;
    CREATE_TIME: FieldUtil<MonitorRuleSettingCU>;
    UPDATE_TIME: FieldUtil<MonitorRuleSettingCU>;
}
declare class MonitorRuleSettingMU extends TableUtilImpl<MonitorRuleSettingCU, MonitorRuleSetting> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: SubTable[];
    createConditionUtil(): MonitorRuleSettingCU;
    static get ID(): FieldUtil<MonitorRuleSettingCU>;
    static get TEMPLATE_ID(): FieldUtil<MonitorRuleSettingCU>;
    static get ALARM_LEVEL(): FieldUtil<MonitorRuleSettingCU>;
    static get ENABLE(): FieldUtil<MonitorRuleSettingCU>;
    static get DELETED(): FieldUtil<MonitorRuleSettingCU>;
    static get CHANGED(): FieldUtil<MonitorRuleSettingCU>;
    static get CREATE_TIME(): FieldUtil<MonitorRuleSettingCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorRuleSettingCU>;
    static get TEMPLATE_NAME(): FieldInfo;
    static get INDICATORS_CODE(): FieldInfo;
    static get PERIOD(): FieldInfo;
    static get STATISTICS(): FieldInfo;
    static get RELATION(): FieldInfo;
    static get THRESHOLD(): FieldInfo;
    get ID(): FieldUtil<MonitorRuleSettingCU>;
    get TEMPLATE_ID(): FieldUtil<MonitorRuleSettingCU>;
    get ALARM_LEVEL(): FieldUtil<MonitorRuleSettingCU>;
    get ENABLE(): FieldUtil<MonitorRuleSettingCU>;
    get DELETED(): FieldUtil<MonitorRuleSettingCU>;
    get CHANGED(): FieldUtil<MonitorRuleSettingCU>;
    get CREATE_TIME(): FieldUtil<MonitorRuleSettingCU>;
    get UPDATE_TIME(): FieldUtil<MonitorRuleSettingCU>;
    get TEMPLATE_NAME(): FieldInfo;
    get INDICATORS_CODE(): FieldInfo;
    get PERIOD(): FieldInfo;
    get STATISTICS(): FieldInfo;
    get RELATION(): FieldInfo;
    get THRESHOLD(): FieldInfo;
}
export { MonitorRuleSettingMU, MonitorRuleSettingCU };
